CMSIS-DSP: Bayesian estimators

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Bayesian estimators

## Functions

uint32_t | arm_gaussian_naive_bayes_predict_f32 (const arm_gaussian_naive_bayes_instance_f32 *S, const float32_t *in, float32_t *pBuffer)
| Naive Gaussian Bayesian Estimator. More...

## Description

Implement the naive gaussian Bayes estimator. The training must be done from scikit-learn.

The parameters can be easily generated from the scikit-learn object. Some examples are given in DSP/Testing/PatternGeneration/Bayes.py

## Function Documentation

uint32_t arm_gaussian_naive_bayes_predict_f32 | ( | const arm_gaussian_naive_bayes_instance_f32 * | S,
|  | const float32_t * | in,
|  | float32_t * | pBuffer
| ) |  |

Parameters

  [in] | *S | points to a naive bayes instance structure
  [in] | *in | points to the elements of the input vector.
  [in] | *pBuffer | points to a buffer of length numberOfClasses

Returns
  The predicted class

If the number of classes is big, MVE version will consume lot of
  stack since the log prior are computed on the stack. Naive Gaussian Bayesian Estimator

Parameters

  [in] | *S | points to a naive bayes instance structure
  [in] | *in | points to the elements of the input vector.
  [in] | *pBuffer | points to a buffer of length numberOfClasses

Returns
  The predicted class